print("Loading Beetle encounter")

gofile("select_setting.lua")
setGameMode(1);

--set Waves
--line1 return handle> min Enemies
--lines wave handel, being handle, pos X, pos Y, team, tatic, gun, gun2
wave_1 = addWave(0);
setWaveEntry(wave_1, car_beetle, spawn1_X, spawn1_Y, 2, 0, gun_pistolBad, -1);

--set loot
--carParts, tequlia, fireworks, swag, pills
setStoreCargo(1, 1, 0, 0, 0);
setCargoPrices(0, 0, 0, 0, 0);
setStoreCash(100);
setStoreName(getString("outlaws"));

setVictoryCommand("gofile(\"stage_victory.lua\")");
setFailureCommand("gofile(\"stage_failure.lua\")");
